pycoast (1.7.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0004-pillow-13-compat.patch (Closes: #1112371).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 17:09:16 +0000

pycoast (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0004-Switch-to-python3-pytest-lazy-fixtures.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Jul 2024 19:04:47 +0000

pycoast (1.7.0+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use pybuild --print to get build_dir path.

  [ Antonio Valentino ]
  * debian/control:
    - Switch from python3-pytest-lazy-fixture to python3-pytest-lazy-fixtures
      as dependency.
  * debian/patches:
    - New 0004-Switch-to-python3-pytest-lazy-fixtures.patch.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 May 2024 17:44:03 +0000

pycoast (1.7.0+dfsg-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on python3-pytest-lazy-fixture.
  * debian/rule:
    - Improve doc build.
    - Update the list of tests to skip.
  * debian/patches:
    - Drop 0005-Relax-tolerance-for-pillow-9.4.patch and
      0006-Compatibility-with-Pillow-10.patch, applied upstream.
    - Drop 0001-Skip-tests-that-use-shapes.patch, skip via
      d/rules instead.
    - Refresh and renumber remaining patches.
  * Update d/copyright.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Remove generated files in clean target.
  * Override dh_numpy3 to fix unused substitution variable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Nov 2023 22:55:11 +0000

pycoast (1.6.1+dfsg-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1047331)
  * Use execute_after instead of override in rules file.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> and <!nodoc> markers.
    - Update package description.
    - Build-depend on python3-versioneer.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    needed d/test folder.
  * debian/rules:
    - Improve doc build.
    - Remove unnecesssary rules.
  * Simplify d/clean.
  * New d/python3-pycoast.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 16:52:35 +0000

pycoast (1.6.1+dfsg-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * debian/control:
    - fix lintian warnings (break/replaces too old versions).
  * debian/patches:
    - new 0006-Compatibility-with-Pillow-10.patch (Closes: #1040634).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Jul 2023 16:32:00 +0000

pycoast (1.6.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0005-Relax-tolerance-for-pillow-9.4.patch (Closes: #1028040).
      Fix compatibility with Pillow 9.4 (see also
      https://github.com/pytroll/pycoast/issues/82).
    - debian/copyright:
      - update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Jan 2023 11:04:13 +0000

pycoast (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - set LANGUAGE to ensure reproducible builds.
    - clean temporary files after build/test.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Nov 2022 22:31:09 +0000

pycoast (1.6.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - update copyright dates in d/copyright
    - remove unused entries.
  * debian/control:
    - add build-dependency on python3-sphinxcontrib.apidoc and
      python3-sphinx-rtd-theme.
    - add build-dependency pybuild-plugin-pyproject.
  * debian/patches:
    - refresh all parches
    - new 0003-Fix-sphinx-build.patch
    - new 0004-Remove-versioneer-from-pyproject.toml.patch.
  * debian/rules:
    - exclude tests using the excludesd shapefiles
    - exclude tests with too strict error threshold
    - copy test data files to the build directory.
  * Add d/tests for autopkgtests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2022 11:51:10 +0000

pycoast (1.5.0+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * Disable broken tests: test_add_points_pil and
    test_config_file_points_and_borders_pil.
    See discussion at https://github.com/pytroll/pycoast/issues/57.
    Closes: #997486.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Nov 2021 07:52:41 +0000

pycoast (1.5.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - update the list excluded files: pre-built documentation
      is no longer included in the upstream tarball
    - update copyright dates.
  * debian/patches
    - refresh all patches
    - new 0002-Fix-font-path.patch (only needed for testing on
      debian systems)
  * debian/control
    - update dependencies: drop six, add pytest and
      fonts-dejavu-core (build only).
  * debian/rules
    - fix pytest args.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Aug 2021 17:23:17 +0000

pycoast (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add Testsuite: autopkgtest-pkg-python
  * Drop lintian-overrides.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/patches:
    - refresh all patches
  * debian/copyright:
    - update copyright dates

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 11 Jun 2020 05:49:18 +0000

pycoast (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Dec 2019 11:02:36 +0000

pycoast (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Nov 2019 08:04:12 +0000

pycoast (1.3.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - bump debhelper from old 11 to 12
    - update test dependencies (add python3-pyresample)
    - explicitly set Rules-Requires-Root: no
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Oct 2019 07:44:24 +0100

pycoast (1.2.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.
  * Reorder (build) dependencies.
  * Update dh_python3 override to not act on -doc package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 11:16:37 +0200

pycoast (1.2.3+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Move image symlinks to -doc package too.
    (closes: #924212)
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * Suggest python-pycoast-doc.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jul 2019 16:56:47 +0000

pycoast (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Jan 2019 07:02:37 +0000

pycoast (1.2.1+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Sort dependencies.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - update copyright file
  * debian/patches
    - drop pyshp-2.0.0.patch, no longer necessary
    - refresh remaining patches
  * debian/control
    - add dependency on aggdraw

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 03 Dec 2018 20:58:29 +0000

pycoast (1.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:39:00 +0200

pycoast (1.0.0+dfsg-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Strip trailing whitespace from changelog.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.

  [ Antonio Valentino ]
  * Set compat to 11.
  * Add upstream metadata.
  * Add autopkgtest to test installability.
  * debian/rules
    - drop unnecessary dh argument (--parallel)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Apr 2018 08:18:34 +0000

pycoast (1.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks/Replaces to -doc package.
    (closes: #874422)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Sep 2017 11:29:19 +0200

pycoast (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * New package for Python 3
  * New package for HTML documentation
  * debian/control
    - standard version bumped to 4.0.0 (no change)
    - add python-six to dependencies
  * debian/patches
    - drop 0001-Skip-offending-tests.patch (no longer necessary)
    - refresh and renumber remaining patches
  * fix image file duplication in HTML doc (lintian warning)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2017 17:07:23 +0000

pycoast (0.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:31:57 +0200

pycoast (0.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright date
  * debian/patches
    - drop patch 0001-Skip-test-in-ContourWriterAGG.patch, merged upstream
    - refresh and renumber remainimg patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jun 2017 15:47:45 +0000

pycoast (0.5.4+dfsg-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * Remove pre-built sphinx doc from the source tarball
  * Remove pycoast/tests/test_data/shapes from the archive: incomaptible
    data license
  * debian/rules
    - enable parallel build
  * debian/control
    - package description updated
    - standard version bumped to 3.9.8 (no change)
  * debian/patches
    - drop 0001-fix-egginfo.patch: no longer necessary
    - new 0001-Skip-test-in-ContourWriterAGG.patch for skipping test on
      ContourWriterAGG if the drawagg module is not available
    - new 0002-Skip-offending-tests.patch for skipping offending tests
      (see also https://github.com/pytroll/pycoast/issues/4)
    - add 0003-Skip-tests-that-use-shapes.patch (data are non longer included
      in the source tarball)
  * debian/copyright
    - fix DEP-5 URL

  [ Bas Couwenberg ]
  * Override dh_python2 to call dh_numpy too.
  * Update copyright file, changes:
    - Add copyright years for Esben S. Nielsen
    - Add additional copyright holders
    - Drop .0 from GPL license shortname
    - Add license & copyright for test data
  * Use Files-Excluded & uscan repacksuffix for repacked upstream tarballs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Jul 2016 17:26:28 +0000

pycoast (0.5.2-2) unstable; urgency=medium

  * Standers version bumped to 3.9.7 (no change)
  * debian/control:
    - fixed the URL of the project home page
    - fixed VCS URL
  * debian/watch:
    - fixed download URL
  * debian/copyrifht
    - project URL updated
  * Switch to pybuild

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Feb 2016 12:36:49 +0000

pycoast (0.5.2-1) unstable; urgency=low

  * Initial release (Closes: #752328)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Jun 2014 12:53:26 +0000
